package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.TaUser;

/**
 * 用户业务 接口
 * @author weiximei
 */
public interface ITaUserService {

    /**
     * 用户登录
     * @param user
     * @return 用户对象
     */
    ResponseBean login(TaUser user);

    /**
     * 用户登录
     * @param loginName
     * @param communityId 小区id
     * @param code 验证码
     * @return 用户对象
     */
    ResponseBean login(String loginName,String communityId,String code);

    /**
     * 注册用户
     * @param user
     * @return 用户对象
     */
    ResponseBean register(TaUser user);

    /**
     * 查询当前用户信息
     * @param id
     * @return
     */
    ResponseBean selectloginName(Integer id, String phone, String code);



}
