package com.community.huiju.vo;

import com.community.commom.constant.enums.TicketTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 工单包含 答复记录
 * @author weiximei
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TpTicketRecordCommentVO {

    /** 编号 **/
    private Integer id;

    /** 小区编号 **/
    private Integer communityId;

    /** 用户app的id **/
    private Integer taUserId;

    /** ================================ **/

    /** 工单标题 **/
    private String ticketTitle;

    /** 类型 报修/投诉/联系单 **/
    private String type;

    /** 工单 创建时间 **/
    private Date createDate;

    /** 待分配,已分配等记录 集合 **/
    List<TpTicketRecordVO> content;

}
