package com.community.huiju.vo;

import com.community.commom.constant.enums.TicketStatusEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 工单 处理记录
 *
 *  比如 待分配,已分配等记录
 *
 * @author weiximei
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TpTicketRecordVO {

    /** 工单处理ID **/
    private Integer id;

    /** 工单记录 流转状态 **/
    private String status;

    /** 创建时间 **/
    private Date createDate;

    /** 回复/追问 记录 集合 **/
    private List<RecordCommentVO> comments;

}
