package com.community.commom.constant.enums;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;

/**
 * 追问表 用户类型
 * @author weiximei
 */
@Getter
public enum TicketUserTypeEnum implements CodeEnum {

    ASK_A_PERSON(0,"追问人"),

    THE_ORIGINATOR(1,"发起人"),
    ;

    private Integer code;

    private String comments;

    TicketUserTypeEnum(Integer code, String comments) {
        this.code = code;
        this.comments = comments;
    }

    /**
     * 重写toString，单个转化成json
     * @return
     */
    @Override
    public String toString() {
        JSONObject object = new JSONObject();
        object.put("code",code);
        object.put("comments",comments);
        return object.toString();
    }

}
